Homebrew Warning: You have an outdated version of /usr/bin/install_name_tool installed.

Standard

When using homebrew, you may encounter this error when you run brew doctor :

Warning: You have an outdated version of /usr/bin/install_name_tool installed.
This will cause binary package installations to fail.
This can happen if you install osx-gcc-installer or RailsInstaller.
To restore it, you must reinstall OS X or restore the binary from
the OS packages.

SOLUTION

Download mavericks or yosemite installer from the app store

Run the following scripts from the terminal :

open /Applications/Install\ OS\ X\ Mavericks.app/Contents/SharedSupport/InstallESD.dmg
open -a Pacifist /Volumes/OS\ X\ Install\ ESD/Packages/Essentials.pkg

Extract install_name_tool from the /usr/bin/ folder in packagist to your /usr/bin/ folder

Then your set to go